YITH WooCommerce Popup

描述

Popups are a powerful tool to catch your users’ attention: direct and customizable, with YITH WooCommerce Popup you will be able to use them in the best way to accomplish your achievements.
Add them in every page you want, using a template you can customize freely: create the best popup window for your needs, and add a message, a newsletter form or the products of your own shop.

Plugin’s features:

  • Popup settings section
  • Creation of endless popups
  • Freedom to assign one different popup for each page
  • Add a form for newsletter
  • Modify graphically the popup style
  • Add products from the store

建议

If you have any suggestions concerning how to improve YITH WooCommerce Popup, you can write to us, so that we can improve YITH WooCommerce Popup.

屏幕截图

  • Popup Setting Page
  • Page for creation of a popup
  • Options for the creation of a popup
  • Popup in front page

安装

Important: First of all, you have to download and activate WooCommerce plugin, which is mandatory for YITH WooCommerce Popup to be working.

  1. Unzip the downloaded zip file.
  2. Upload the plugin folder into the wp-content/plugins/ directory of your WordPress site.
  3. Activate YITH WooCommerce Popup from Plugins page.

配置

YITH WooCommerce Popup will add a new tab called “Popup” in “YITH” menu item. There, you will find all YITH plugins with quick access to plugin setting page.

常见问题

What are the main changes in plugin translation?

Recently YITH WooCommerce Popup has been selected to be included in the “translate.wordpress.org” translate programme.
In order to import correctly the plugin strings in the new system, we had to change the text domain form ‘ypop’ to ‘yith-woocommerce-popup’.
Once the plugin will be imported in the translate.wordpress.org system, the translations of other languages will be downloaded directly from WordPress, without using any .po and .mo files. Moreover, users will be able to participate in a more direct way to plugin translations, suggesting texts in their languages in the dedicated tab on translate.wordpress.org.
During this transition step, .po and .mo files will be used as always, but in order to be recognized by WordPress, they will need to have a new nomenclature, renaming them in:

  • yith-woocommerce-popup-[WORDPRESS LOCALE].po
  • yith-woocommerce-popup-[WORDPRESS LOCALE].mo

评价

2022年2月13日 1 回复
Latest versions don't work. Give php errors while using MailChimp. SMH
2020年6月2日
Popup Displaying in Mobile despite being disabled Terrible Support Team I posted a support request and there was no response from the Yith Support Team at all. There are chinks in the Plugin and the Yith Support Team does not give a damn. That's probably the reason why this Plugin has a rating of only 2.6. I believe, tt will hit rock bottom in no time!
2019年11月21日 1 回复
TRy activate this plugin, and the message "Plugin activated." appears but the plugin never be activated
阅读所有11条评价

贡献者及开发者

“YITH WooCommerce Popup” 是开源软件。 以下人员对此插件做出了贡献。

贡献者

“YITH WooCommerce Popup”插件已被翻译至4种本地话语言。 感谢所有译者为本插件所做的贡献。

将“YITH WooCommerce Popup”翻译成您的语言。

对开发感兴趣吗?

您可以浏览代码,查看SVN仓库,或通过RSS订阅开发日志

更新日志

1.23.0 – Released on 05 January 2023

  • New: support for WooCommerce 7.3
  • Update: YITH plugin framework

1.22.0 – Released on 20 December 2022

  • New: support for WooCommerce 7.2
  • Update: YITH plugin framework

1.21.1 – Released on 14 November 2022

  • Update: YITH plugin framework
  • Fix: patched security vulnerability

1.21.0 – Released on 02 November 2022

  • New: support for WordPress 6.1
  • New: support for WooCommerce 7.1
  • Update: YITH plugin framework

1.20.0 – Released on 03 October 2022

  • New: support for WooCommerce 7.0
  • Update: YITH plugin framework

1.19.0 – Released on 07 September 2022

  • New: support for WooCommerce 6.9
  • Update: YITH plugin framework

1.18.0 – Released on 27 July 2022

  • New: support for WooCommerce 6.8
  • Update: YITH plugin framework

1.17.0 – Released on 06 July 2022

  • New: support for WooCommerce 6.7
  • Update: YITH plugin framework

1.16.0 – Released on 09 June 2022

  • New: support for WooCommerce 6.6
  • Update: YITH plugin framework

1.15.0 – Released on 11 May 2022

  • New: support for WordPress 6.0
  • New: support for WooCommerce 6.5
  • Update: YITH plugin framework

1.14.0 – Released on 11 April 2022

  • New: support for WooCommerce 6.4
  • Update: YITH plugin framework

1.13.0 – Released on 08 March 2022

  • New: support for WooCommerce 6.3
  • Update: YITH plugin framework

1.12.0 – Released on 09 February 2022

  • New: support for WooCommerce 6.2
  • Update: YITH plugin framework

1.11.0 – Released on 21 January 2022

  • New: support for WordPress 5.9
  • Update: YITH plugin framework

1.10.0 – Released on 27 December 2021

  • New: support for WooCommerce 6.1
  • Update: YITH plugin framework

1.9.0 – Released on 30 November 2021

  • New: support for WooCommerce 6.0
  • Update: YITH plugin framework

1.8.0 – Released on 28 October 2021

  • New: support for WooCommerce 5.9
  • Update: YITH plugin framework

1.7.0 – Released on 13 October 2021

  • New: support for WooCommerce 5.8
  • Update: YITH plugin framework

1.6.1 – Released on 27 September 2021

  • Update: YITH plugin framework
  • Fix: debug info feature removed for all logged in users

1.6.0 – Released on 9 September 2021

  • New: support for WooCommerce 5.7
  • Update: YITH plugin framework

1.5.9 – Released on 5 August 2021

  • New: support for WooCommerce 5.6
  • Update: YITH plugin framework

1.5.8 – Released on 25 June 2021

  • New: support for WordPress 5.8
  • New: support for WooCommerce 5.5
  • Update: YITH plugin framework

1.5.7 – Released on 7 June 2021

  • Update: YITH plugin framework
  • Fix: Added vendor folder

1.5.6 – Released on 27 May 2021

  • New: support for WooCommerce 5.4
  • Update: YITH plugin framework

1.5.5 – Released on 10 May 2021

  • New: support for WooCommerce 5.3
  • Update: YITH plugin framework

1.5.4 – Released on 4 April 2021

  • New: support for WooCommerce 5.2
  • Update: YITH plugin framework

1.5.3 – Released on 11 March 2021

  • Fix: Fixed escaping string

1.5.2 – Released on 11 March 2021

  • Update: YITH plugin framework
  • Fix: Issue with Mailchimp Newsletter list

1.5.1 – Released on 4 March 2021

  • New: support for WordPress 5.7
  • New: support for WooCommerce 5.1
  • Update: YITH plugin framework

1.5.0 – Released on 3 Feb 2021

  • New: support for WooCommerce 5.0
  • Update: YITH plugin framework

1.4.9 – Released on 31 Dec 2020

  • New: Support for WooCommerce 4.9
  • Update: Plugin Framework

1.4.8 – Released on 2 Dec 2020

  • New: Support for WooCommerce 4.8
  • Update: Plugin framework
  • Fix: Wrong ajax action to subscribe user on mailchimp

1.4.7 – Released on 3 Nov 2020

  • New: Support for WordPress 5.6
  • New: Support for WooCommerce 4.7
  • Update: Plugin framework

1.4.6 – Released on 7 Oct 2020

  • New: Support for WooCommerce 4.6
  • Update: Plugin framework

1.4.5 – Released on 17 Sep 2020

  • New: Support for WooCommerce 4.5
  • Update: Plugin framework

1.4.4 – Released on 12 Aug 2020

  • New: Support for WordPress 5.5
  • New: Support for WooCommerce 4.4
  • Update: Plugin framework

1.4.3 – Released on 20 May 2020

  • New: Support for WooCommerce 4.2
  • Update: Plugin framework

1.4.2 – Released on 22 April 2020

  • New: Support for WooCommerce 4.1
  • Update: Plugin framework

1.4.1 – Released on 10 March 2020

  • New: Support for WooCommerce 4.0
  • New: Support for WordPress 5.4
  • Update: Plugin framework

1.4.0 – Released on 24 December 2019

  • New: Support for WooCommerce 3.9
  • Tweak: Popup list moved from “Popup” to “YITH > Popup”
  • Update: Plugin Framework

1.3.7 – Released on 29 November 2019

  • Update: Plugin Framework

1.3.6 – Released on 9 November 2019

  • Update: Plugin Framework

1.3.5 – Released on 30 October 2019

  • Update: Plugin Framework

1.3.4 – Released on 28 October 2019

  • New: Support for WordPress 5.3
  • New: Support for WooCommerce 3.8
  • Update: Plugin Framework

1.3.3 – Released on 24 July 2019

  • New: Support for WooCommerce 3.7.0
  • Update: Plugin Framework

1.3.2 – Released on 12 June 2019

  • Update: Plugin Framework

1.3.1 – Released on 23 April 2019

  • Update: Plugin Framework

1.3.0 – Released on 10 April 2019

  • New: Support for WooCommerce 3.6
  • Update: Plugin Framework

1.2.9 – Released on 28 January 2019

  • Update: Plugin Framework

1.2.8 – Released on 06 December 2018

  • New: Support for WordPress 5.0
  • Update: Plugin Framework

1.2.7 – Released on 24 October 2018

  • Update: Plugin Framework

1.2.6 – Released on 17 October 2018

  • New: Support for WooCommerce 3.5
  • Update: Plugin Framework

1.2.5 – Released on 26 September 2018

  • Update: Plugin Framework
  • Update: Language files

1.2.4 – Released on 18 May 2018

  • New: Support for WordPress 4.9.6
  • New: Support for WooCommerce 3.4.0 RC1
  • New: Privacy options in Newsletter tab
  • Update: Plugin Framework
  • Update: Language files

1.2.3 – Released: 03 March 2018

  • New: Support for WooCommerce 3.3
  • Fix: Select 2 for select where you want to show the popup
  • Update: Plugin Framework

1.2.2 – Released: 01 February 2018

  • Update: Plugin Framework

1.2.1 – Released: 31 January 2018

  • New: Support for WooCommerce 3.3
  • Update: Plugin Framework

1.2.0 – Released: 11 December 2017

  • Update: Plugin Framework

1.1.1 – Released: 26 April 2017

  • New: Support for WooCommerce 3.0.4
  • Fix: Javascript error when the user clicks on close button
  • Update: Plugin Framework

1.1.0 – Released: 31 March 2017

  • New: Support for WooCommerce 3.0
  • Update: Plugin Framework

1.0.4 – Released: 04 August 2016

  • Update: Changed Text Domain from ‘ypop’ to ‘yith-woocommerce-popup’
  • Update: Plugin Framework

1.0.3

  • New: Support for WooCommerce 2.6
  • Update: Plugin Framework

1.0.2

  • New: Support for WooCommerce 2.5
  • Fix: Minor Bugs

1.0.1

  • New: Support for WooCommerce 2.4.2
  • Update: Plugin Framework

1.0.0

Initial release